package application;

import javafx.application.Application;
import javafx.application.Platform;
import javafx.scene.Scene;
import javafx.scene.layout.StackPane;
import javafx.stage.Stage;
import java.util.List;

public class Parameters2 extends Application {

    public static void main(String[] args) {

        Application.launch("300", "200");
    }

    @Override
    public void init(){}

    @Override
    public void start(Stage stage) {
        try {
            Parameters params = this.getParameters();
            List<String> unParams = params.getUnnamed();
            int w = Integer.parseInt(unParams.get(0));
            int h= Integer.parseInt(unParams.get(1));
            StackPane root = new StackPane();
            Scene scene = new Scene(root, w, h);
            stage.setScene(scene);
            stage.setTitle(this.getClass().getName());
            stage.setOnCloseRequest(e -> Platform.exit());
            stage.show();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @Override
    public void stop(){}
}
